function recall = boundary_recall(groundTruth, prediction)

recall = zeros(length(groundTruth), length(prediction));
for tt = 1:length(prediction)
	P = prediction{tt}.Boundaries(:);
	P2 = P;
	P2(1:end-1,:) = P2(1:end-1,:) | P(2:end,:);
	P2(1:end-2,:) = P2(1:end-2,:) | P(3:end,:);
	P2(2:end,:) = P2(2:end,:) | P(1:end-1,:);
	P2(3:end,:) = P2(3:end,:) | P(1:end-2,:);
	P2(:,1:end-1) = P2(:,1:end-1) | P(:,2:end);
	P2(:,1:end-2) = P2(:,1:end-2) | P(:,3:end);
	P2(:,2:end) = P2(:,2:end) | P(:,1:end-1);
	P2(:,3:end) = P2(:,3:end) | P(:,1:end-2);
	P2(1:end-1,1:end-1) = P2(1:end-1,1:end-1) | P(2:end,2:end);
	P2(1:end-1,2:end) = P2(1:end-1,2:end) | P(2:end,1:end-1);
	P2(2:end,1:end-1) = P2(2:end,1:end-1) | P(1:end-1,2:end);
	P2(2:end,2:end) = P2(2:end,2:end) | P(1:end-1,1:end-1);
	for ttt = 1:length(groundTruth)
		G = groundTruth{ttt}.Boundaries(:);
		recall(ttt,tt) = sum(G & P2) / sum(G);
	end
end
