function bmaponimg = bmapOnImg(img, bmap, color)

if nargin<3, color = [0 255 0]; end
[height, width, ~] = size(img);

%% boundary & output
bmaponimg = uint8(zeros(height, width, 3));
timg = uint8(img(:,:,1)/2);
timg(bmap) = color(1);
bmaponimg(:,:,1) = timg;
timg = uint8(img(:,:,2)/2);
timg(bmap) = color(2);
bmaponimg(:,:,2) = timg;
timg = uint8(img(:,:,3)/2);
timg(bmap) = color(3);
bmaponimg(:,:,3) = timg;

end

